FROM swift:5.3.2-bionic

WORKDIR /app
ADD . ./

RUN apt-get update && \
    apt-get install -y --no-install-recommends apt-utils && \
    apt-get install -y --no-install-recommends libssl-dev && \
    apt-get install -y --no-install-recommends zlib1g-dev && \
    apt-get clean
RUN mkdir -p /tmp && chmod 1777 /tmp && \
    git clone -b r1.16 https://github.com/mongodb/mongo-c-driver /tmp/libmongoc && \
    cd /tmp/libmongoc && \
    apt-get install -y python3 && \
    apt-get -y install cmake && \
    cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_BUILD_TYPE=Release && \
    make -j8 install && \
    apt-get clean
RUN cd /app && \
    rm -rf ./build ./nginx ./.build ./.DS_Store ./Dockerfile && \
    swift build -c release -Xswiftc -g && \
    mkdir /app/bin && \
    mv `swift build -c release --show-bin-path` /app/bin && \
    rm -rf /tmp && \
    rm -rf /tmp && \
    rm -rf /app/.build && \
    rm -rf ./bin/release/*.build && \
    rm -rf ./bin/release/*.swiftdoc && \
    rm -rf ./bin/release/*.swiftmodule && \
    rm -rf ./bin/release/*.swiftsourceinfo && \
    rm -rf ./bin/release/*.product && \
    rm -rf ./bin/release/ModuleCache

ENTRYPOINT [ "/app/bin/release/AnalyticsServiceRun" ]
